<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://xmlns.jcp.org/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"
         version="4.0">

  <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
  </welcome-file-list>

  <servlet>
    <servlet-name>MyServlet</servlet-name>
    <servlet-class>com.epam.libraryProject.controller.ApplicationController</servlet-class>
  </servlet>

  <servlet-mapping>
    <servlet-name>MyServlet</servlet-name>
    <url-pattern>/final-project-epam</url-pattern>
  </servlet-mapping>


  <filter>
    <filter-name>PermissionFilter</filter-name>
    <filter-class>com.epam.libraryProject.controller.filter.PermissionFilter</filter-class>
  </filter>

  <filter-mapping>
    <filter-name>PermissionFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>

</web-app>